Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.admin.tools.credential
Class CredentialManagerConfiguration

    java.lang.Object
      oracle.ifs.admin.tools.credential.CredentialManagerConfiguration

    public class CredentialManagerConfiguration

extends java.lang.Object

CredentialManagerConfiguration adds, updates, and deletes CredentialManagers from a service configuration.

(Unpublished)

Constructor Summary
`CredentialManagerConfiguration(java.lang.String[] args)` Constructor.

Method Summary
`static void` | `main(java.lang.String[] args)` Main.
`void` | `run()` Run.
`protected static void` | `showAttributeValue(java.lang.String prefix, AttributeValue av, LibrarySession session)` Prints the specified AttributeValue.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CredentialManagerConfiguration

    public CredentialManagerConfiguration(java.lang.String[] args)

  Constructor.

  Parameters:
    `args` - the command-line arguments
  (Unpublished)

Method Detail

### main

    public static void main(java.lang.String[] args)

  Description copied from class: `CredentialManagerConfiguration`
  Main.

  Parameters:
    `args` - the command-line arguments
  (Unpublished)

### run

    public void run()
             throws java.lang.Exception

  Description copied from class: `CredentialManagerConfiguration`
  Run.

  Throws:
    `java.lang.Exception` - if the operation fails
  (Unpublished)

### showAttributeValue

    protected static void showAttributeValue(java.lang.String prefix,
                                             AttributeValue av,
                                             LibrarySession session)
                                      throws IfsException

  Description copied from class: `CredentialManagerConfiguration`
  Prints the specified AttributeValue.

  Parameters:
    `prefix` - the prefix
    `av` - the AttributeValue
    `session` - a session
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD